import request from "../utils/request";

//app首页查询交易圈列表
export function getCircleList(data) {
  return request({
    url: "/app/group/info/list",
    method: "post",
    data,
  });
}

// app查询交易圈详情
export function getCircleDetail(data) {
  return request({
    url: "/app/group/info/get",
    method: "post",
    data,
  });
}

// APP获取交易圈互动消息
export function getMessageList(data) {
  return request({
    url: "/app/group/message/getMessageList",
    method: "post",
    data,
  });
}

// APP发送交易圈互动消息
export function sendMessage(data) {
  return request({
    url: "/app/group/message/sendMessage",
    method: "post",
    data,
  });
}

// APP保存消息已读
export function readMessage(data) {
  return request({
    url: "/app/group/message/readMessage",
    method: "post",
    data,
  });
}

// APP查询未读数量
export function msgUnreadCount(data) {
  return request({
    url: "/app/group/message/unreadCount",
    method: "post",
    data,
  });
}
